/*
 *    June 2001: A.Trocha
 *    functions for $ZCRYPT and $ZAUTH
 *
 */

#ifndef __CYGWIN__

#include <time.h>
#include <unistd.h>
#include <stdlib.h>

static unsigned char itoa64[] =         /* 0 ... 63 => ascii - 64 */
        "./0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz";

void to64(register char *s, register long v, register int n) {
    while (--n >= 0) {
        *s++ = itoa64[v&0x3f];
        v >>= 6;
    }
}

char *crypt_str(char *b) {
	char   salt[3];

	(void)srand((int)time((time_t *)NULL));
        to64(&salt[0],rand(),2);
        return((char *)crypt(b,salt));
}

char *passwd(char *pass,char *pw) {
	return((char *)crypt(pass,pw));
}
#endif
